| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Rndm::Poisson Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Poisson:

[legend]
Collaboration diagram for Rndm::Poisson:

[legend]
List of all members.

## Detailed Description

Parameters for the Poisson distributed random number generation with a given mean.

Definition at line 218 of file RndmGenerators.h.

## Public Member Functions
| Poisson (double m)
| Standard Constructor.
virtual | ~Poisson ()
| Standard Destructor.
double | mean () const
| Access mean value of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_mean
| Mean value of the Poisson distribution.
## Friends
class | Generator< Poisson >

## Constructor & Destructor Documentation

Rndm::Poisson::Poisson | ( | double | m | ) | `[inline]`

Standard Constructor.

Definition at line 225 of file RndmGenerators.h.

Referenced by clone().

    00225 : IRndmGen::Param(IID_IRndmPoisson), m_mean(m) { }

virtual Rndm::Poisson::~Poisson | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 227 of file RndmGenerators.h.

    00227 {  }

## Member Function Documentation

double Rndm::Poisson::mean | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 229 of file RndmGenerators.h.

References m_mean.

    00229 { return m_mean;                }

static const InterfaceID& Rndm::Poisson::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 231 of file RndmGenerators.h.

References IID_IRndmPoisson.

    00231 { return IID_IRndmPoisson;      }

virtual IRndmGen::Param* Rndm::Poisson::clone | ( |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 233 of file RndmGenerators.h.

References m_mean, and Poisson().

    00233 { return new Poisson(m_mean);   }

## Friends And Related Function Documentation

friend class Generator< Poisson >`[friend]`

Definition at line 219 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Poisson::m_mean`[protected]`

Mean value of the Poisson distribution.

Definition at line 222 of file RndmGenerators.h.

Referenced by clone(), and mean().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/RndmGenerators.h